Help content

MRTC WebRTC-SIP Gateway

Quick Start Guide

The Mizu WebRTC-SIP Gateway (MRTC) is a full stack protocol converter between WebRTC and SIP, including all the modules needed for optimal signaling and media conversion (ICE, TURN and STUN are built-in). Using this software you can initiate and receive calls with WebRTC clients (usually running in browsers) via your existing SIP server.

MRTC can be installed on any Windows OS and it runs as a Windows service (NT service).

You should install it on a Server or PC close to your existing SIP server (Softswitch or IP-PBX). It can be run also from a virtual machine.

For up to 100 simultaneous calls any PC is fine which can barely run Windows, such as a dual core Xeon with 4 GB RAM and 30 GB free disk space. See the requirements if you have more traffic.

Follow these steps to get started:

1) Download the MRTC installer from here (this is the free version for up to 20 users and 5 simultaneous calls)

2) Double-click to start the install process and follow the instructions (requires Administrator rights)

3) Follow the Configuration Wizard:

Once the install completes, it should automatically start the MManage admin client with its Configuration Wizard. Otherwise launch the “MManage.exe” application and go to “Config” menu -> “Configuration Wizard”:

1. Follow the “Quick/Auto configurations” Wizard type for the easiest setup

2. Take care of the “Bind IP” and “Public IP” settings if your server has multiple networks or you are behind NAT

3. Set a domain name and select the “Auto SSL” checkbox if you need secure websocket (WSS). WebRTC clients from Chrome browsers will not work if you don’t host your webpage on HTTPS or you MRTC gateway don’t use WSS.

4. If you haven’t set a domain or SSL, then you might configure your browser or app to allow also unsecure websocket (WS) for WebRTC

5. Set the upper server to your existing SIP server address (also set the :port if your server is not using the standard 5060 UDP port)

6. Click “Next” and “Apply” to save the settings

4) Note:

· You don’t need to change any settings on your existing SIP server

· You don’t need to manage users/extensions on the Gateway (manage them on your SIP server as you did it before)

· The gateway can be also used with more than one SIP server. See the Guide if you wish to use one gateway with multiple SIP servers.

· There is no any maintenance required by the MRTC gateway. Once configured properly and started, it will run forever without the need for any maintenance work as it will self-manage itself (including deleting old logs and auto-adapting to environment and network conditions)

5) Ports / NAT / Firewall:

· Enable (on your external firewall) and forward (on your router/NAT device if you are behind NAT) the required websocket/SIP/RTP/etc ports. These can be listed from Config menu -> Network -> Active ports.

· Make sure that these ports are not used by some other application such as a local IIS web server (in this case either change the MRTC ports or the third party app port or bind them to separate IP address).

· If your WebRTC-SIP gateway is behind NAT, auto SSL will work only if you forward ports 80 and 443 on your router from the internet (These ports are required to acquire a “Let’s Encrypt” certificate and can’t be changed to other non-standard ports).

· Enable the services executables on your Windows firewall.

6) Start the gateway service if not already started. This can be done from:

· MManage -> Control menu -> Start

· or from Windows Service manager (services.msc) -> “mserver” entry (right click and select “Start”)

Your WebRTC-SIP proxy is ready to accept connections and calls at this stage.

7) Configure your WebRTC client:

· To find out how to configure your WebRTC client, go to “Help” menu -> “Client configuration”. This will display clear and easy to follow instructions about how exactly you will have to configure your WebRTC client app.

8) First quick test call:

1. Open your browser with your favorite WebRTC client, enter the settings from the above mentioned settings with SIP account A (username/password valid on your SIP server) and connect/register to your SIP server via the MRTC gateway

2. Open your favorite SIP client and register directly to your SIP server with account/extension B

3. Make calls between A and B

Note:

· Alternatively you make also WebRTC to WebRTC calls or WebRTC -> PSTN calls to landline/mobile phone numbers if your SIP servers allows outbound calls

· Calls to outbound PSTN/carrier/SIP trunk/mobile/landline will be handled in the exact same way as any simple WebRTC->SIP call

· You can also make WebRTC to WebRTC calls (both endpoint running from browsers with SIP credentials valid on your softswitch/IP-PBX)

9) More:

Following the above steps should fulfill most of your needs as the gateway will auto configure and fine-tune all its modules for optimal WebRTC-SIP protocol conversion out of the box. However there are a lot more you can do with the gateway such as using it with multiple SIP servers, optimize PBX features, run health analysis, setup VoIP push notifications, export CDR records, set call recording, handle special NAT requirements or optimize (avoid) codec transcoding.

For more advanced needs, you can:

· Re-run the configuration wizard in “Detailed wizard” mode

· Change any global settings from the “Configuration” form

· Change per user settings from the “Users and devices” form

· Work with multiple SIP servers (configure as “SIP Server” and “Traffic sender” on the “Users and devices” form and add to your dial plan from the “Routing” form)

· Check the other built-in modules (open various forms in MManage)

· Check the Guide

· WebRTC-SIP Gateway home page

· Documentation

· Licensing

· Contact

Copyright © Mizutech SRL